MeiroDocs

Components

+ Parameters

Section: Group Components. Base URL: https://api.instance_name.meiro.io/.

Components [/components{?limit,offset,order_by,order_dir,show_hidden,load_full_structure,tags}]

List All Components [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • tags (string, optional) - Filtering components by given tags
    • show_hidden (integer, optional) - Result will include hidden components if set to 1
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "components": [
        {
            "id": 100,
            "user_id": 200,
            "oauth_repository_id": 300,
            "name": "component name",
            "description": "component description",
            "docker_image": "docker-repository.domain.tld/image-name",
            "docker_registry_settings": {
                "url": "registry_url",
                "user": "registry_user",
                "password": "registry_password"
            },
            "default_settings": {},
            "config_settings": {"config_path": "config.json"},
            "settings_template": {},
            "environment_variables": {},
            "icon": "image.png",
            "tags": ["analytics"],
            "hidden": 0,
            "internal": 1,
            "in_progress": 0,
            "modified": "2017-01-02 15:35:00",
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "tags": ["analytics"],
        "show_hidden": 0
    }
}

Create a Component [POST]

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • name: component example (string)
    • type: connector (string)
    • docker_image: docker-repository.domain.tld/image-name (string)
    • docker_registry_settings: {"url": "registry_url", "user": "registry_user", "password": "registry_password"} (string) - optional (json)
    • oauth_repository_id: 300 (number) - optional
    • description: component description (string) - optional
    • default_settings: {} (string) - optional (json)
    • config_settings: {} (string) - optional (json)
    • settings_template: {} (string) - optional (json)
    • environment_variables: {} (string) - optional (json)
    • tags: [example_tag] (string) - optional (json)
    • icon: path_to_icon (string)- optional
    • hidden: 0 (number) - optional
    • in_progress: 0 (number) - optional
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "component": {
        "id": 100,
        "user_id": 200,
        "oauth_repository_id": 300,
        "name": "component example",
        "description": "component description",
        "docker_image": "docker-repository.domain.tld/image-name",
        "docker_registry_settings": {
            "url": "registry_url",
            "user": "registry_user",
            "password": "registry_password"
        },
        "default_settings": {},
        "config_settings": {},
        "settings_template": {},
        "environment_variables": {},
        "icon": "path_to_icon.png",
        "tags": ["example_tag"],
        "hidden": 0,
        "internal": 1,
        "in_progress": 0,
        "modified": "2017-01-02 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Component [/components/{component_id}]

Retrieve a component [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "components": [
        {
            "id": 100,
            "oauth_repository_id": 200,
            "name": "component name",
            "description": "component description",
            "docker_image": "docker-repository.domain.tld/image-name",
            "docker_registry_settings": {
                "url": "registry_url",
                "user": "registry_user",
                "password": "registry_password"
            },
            "default_settings": {},
            "config_settings": {"config_path": "config.json"},
            "settings_template": {},
            "icon": "image.png",
            "tags": ["analytics"],
            "hidden": 0,
            "internal": 1,
            "in_progress": 0,
            "created": "2017-01-01 15:35:00"
        }
    ]
}

Modify a Component [PATCH]

  • Attributes

    • name: component example (string) - optional
    • type: connector (string) - optional
    • docker_image: docker-repository.domain.tld/image-name (string) - optional
    • docker_registry_settings: {"url": "registry_url", "user": "registry_user", "password": "registry_password"} (string) - optional (json)
    • oauth_repository_id: 300 (number) - optional
    • description: component description (string) - optional
    • default_settings: {} (string) - optional (json)
    • config_settings: {} (string) - optional (json)
    • settings_template: {} (string) - optional (json)
    • environment_variables: {} (string) - optional (json)
    • tags: [example_tag] (string) - optional (json)
    • icon: path_to_icon (string)- optional
    • hidden: 0 (number) - optional
    • in_progress: 0 (number) - optional
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "component": {
        "id": 100,
        "user_id": 200,
        "oauth_repository_id": 300,
        "name": "component example",
        "description": "component description",
        "docker_image": "docker-repository.domain.tld/image-name",
        "docker_registry_settings": {
            "url": "registry_url",
            "user": "registry_user",
            "password": "registry_password"
        },
        "default_settings": {},
        "config_settings": {},
        "settings_template": {},
        "environment_variables": {},
        "icon": "path_to_icon.png",
        "tags": ["example_tag"],
        "hidden": 0,
        "internal": 1,
        "in_progress": 0,
        "modified": "2017-01-02 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Delete a Component [DELETE]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

On this page